<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::binary_search_tree_kernel_c&lt; bst_base &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1binary__search__tree__kernel__c.html">binary_search_tree_kernel_c</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="classdlib_1_1binary__search__tree__kernel__c-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::binary_search_tree_kernel_c&lt; bst_base &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::binary_search_tree_kernel_c&lt; bst_base &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1binary__search__tree__kernel__c.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4483e532cfee91b6ed26da6b2db32826"><td class="memItemLeft" align="right" valign="top"><a id="a4483e532cfee91b6ed26da6b2db32826"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove</b> (const domain &amp;d, domain &amp;d_copy, range &amp;r)</td></tr>
<tr class="separator:a4483e532cfee91b6ed26da6b2db32826"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78978a976aff11203734573e6ee12123"><td class="memItemLeft" align="right" valign="top"><a id="a78978a976aff11203734573e6ee12123"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>destroy</b> (const domain &amp;d)</td></tr>
<tr class="separator:a78978a976aff11203734573e6ee12123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6278f49fd751336285bae53b5601cc4"><td class="memItemLeft" align="right" valign="top"><a id="ac6278f49fd751336285bae53b5601cc4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add</b> (domain &amp;d, range &amp;r)</td></tr>
<tr class="separator:ac6278f49fd751336285bae53b5601cc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa606a3e0ef37a3074996fef8bfbd959c"><td class="memItemLeft" align="right" valign="top"><a id="aa606a3e0ef37a3074996fef8bfbd959c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_any</b> (domain &amp;d, range &amp;r)</td></tr>
<tr class="separator:aa606a3e0ef37a3074996fef8bfbd959c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7a3cbbfa70e081d5a6b8049da4cbf2b"><td class="memItemLeft" align="right" valign="top"><a id="ae7a3cbbfa70e081d5a6b8049da4cbf2b"></a>
const <a class="el" href="classdlib_1_1map__pair.html">map_pair</a>&lt; domain, range &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> () const</td></tr>
<tr class="separator:ae7a3cbbfa70e081d5a6b8049da4cbf2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4448f052eb862161fb95b263901a30bc"><td class="memItemLeft" align="right" valign="top"><a id="a4448f052eb862161fb95b263901a30bc"></a>
<a class="el" href="classdlib_1_1map__pair.html">map_pair</a>&lt; domain, range &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> ()</td></tr>
<tr class="separator:a4448f052eb862161fb95b263901a30bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cb7419f01cc4b65f9c59ed5a7028da7"><td class="memItemLeft" align="right" valign="top"><a id="a9cb7419f01cc4b65f9c59ed5a7028da7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_last_in_order</b> (domain &amp;d, range &amp;r)</td></tr>
<tr class="separator:a9cb7419f01cc4b65f9c59ed5a7028da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62d2ce335fbc0d5e95c2318285ac2cb9"><td class="memItemLeft" align="right" valign="top"><a id="a62d2ce335fbc0d5e95c2318285ac2cb9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_current_element</b> (domain &amp;d, range &amp;r)</td></tr>
<tr class="separator:a62d2ce335fbc0d5e95c2318285ac2cb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a43a0e1e0ade706f137fbde00bbb9c0bd"><td class="memItemLeft" align="right" valign="top"><a id="a43a0e1e0ade706f137fbde00bbb9c0bd"></a>
typedef bst_base::domain_type&#160;</td><td class="memItemRight" valign="bottom"><b>domain</b></td></tr>
<tr class="separator:a43a0e1e0ade706f137fbde00bbb9c0bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b3c83547e3dfcd43107685ed1ff42ba"><td class="memItemLeft" align="right" valign="top"><a id="a5b3c83547e3dfcd43107685ed1ff42ba"></a>
typedef bst_base::range_type&#160;</td><td class="memItemRight" valign="bottom"><b>range</b></td></tr>
<tr class="separator:a5b3c83547e3dfcd43107685ed1ff42ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="binary__search__tree__kernel__c_8h_source.html">binary_search_tree_kernel_c.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
